## tipa 1.0.5

=== DESCRIPTION ===
Package: tipa
Type: Package
Title: Tau-Independent Phase Analysis for Circadian Time-Course Data
Version: 1.0.5
Authors@R: person('Jake', 'Hughey', , 'jakejhughey@gmail.com', role = c('aut', 'cre'))
Description: Accurately estimates phase shifts by accounting for period
  changes and for the point in the circadian cycle at which the stimulus occurs.
URL: https://tipa.hugheylab.org, https://github.com/hugheylab/tipa
License: GPL-2
Encoding: UTF-8
RoxygenNote: 7.1.2
Depends: R (>= 3.4)
Imports: optimr (>= 2016-8.16)
Suggests: knitr, rmarkdown
NeedsCompilation: no
Packaged: 2022-02-01 21:39:44 UTC; joshuaschoenbachler
Author: Jake Hughey [aut, cre]
Maintainer: Jake Hughey <jakejhughey@gmail.com>
Repository: CRAN
Date/Publication: 2022-02-02 08:50:02 UTC

## tipa 1.0.8

=== DESCRIPTION ===
Package: tipa
Type: Package
Title: Tau-Independent Phase Analysis for Circadian Time-Course Data
Version: 1.0.8
Authors@R: person('Jake', 'Hughey', , 'jakejhughey@gmail.com', c('aut', 'cre'))
Description: Accurately estimates phase shifts by accounting for period
  changes and for the point in the circadian cycle at which the stimulus occurs.
  See Tackenberg et al. (2018) <doi:10.1177/0748730418768116>.
URL: https://tipa.hugheylab.org, https://github.com/hugheylab/tipa
License: GPL-2
Encoding: UTF-8
RoxygenNote: 7.2.3
Depends: R (>= 3.4)
Imports: optimx (>= 2023-8.13)
Suggests: knitr, rmarkdown
NeedsCompilation: no
Packaged: 2023-08-21 14:34:11 UTC; jakehughey
Author: Jake Hughey [aut, cre]
Maintainer: Jake Hughey <jakejhughey@gmail.com>
Repository: CRAN
Date/Publication: 2023-08-21 15:10:02 UTC

## tipa 1.1.beta

=== Makefile ===
# Makefile for TIPA.
#
# You need to edit PREFIX.

#PREFIX=/usr/local/share/texmf
PREFIX=/usr/local/teTeX/share/texmf

TEXDIR=$(PREFIX)/tex/latex/tipa
FONTDIR=$(PREFIX)/fonts
MAPDIR=$(PREFIX)/dvips/config

all : 

install :
	-mkdir $(TEXDIR)
	chmod 755 $(TEXDIR)
	-mkdir -p $(FONTDIR)/source/fkr/tipa
	chmod 755 $(FONTDIR)/source/fkr $(FONTDIR)/source/fkr/tipa
	-mkdir -p $(FONTDIR)/tfm/fkr/tipa
	chmod 755 $(FONTDIR)/tfm/fkr $(FONTDIR)/tfm/fkr/tipa
	-mkdir -p $(FONTDIR)/type1/fkr/tipa
	chmod 755 $(FONTDIR)/type1/fkr $(FONTDIR)/type1/fkr/tipa
	install -c -m 644 sty/*.sty sty/*.fd sty/*.def $(TEXDIR)
	install -c -m 644 mf/*.mf mf/*.def mf/*.sh $(FONTDIR)/source/fkr/tipa
	install -c -m 644 tfm/*.tfm $(FONTDIR)/tfm/fkr/tipa
	install -c -m 644 type1/*.pfb $(FONTDIR)/type1/fkr/tipa
	install -c -m 644 dvips/tipa.map $(MAPDIR)
	-mktexlsr

man :
	cd doc; latex tipaman; bibtex tipaman; latex tipaman; latex tipaman

clean :
	(cd doc; rm -f *~ *.log *.aux *.dvi *.blg)
	(cd sty; rm -f *~ *.log *.aux *.dvi *.blg)
	(cd mf; rm -f *~ ti*gf ti*pk ti*.tfm ti*.log xi*gf xi*pk xi*.tfm xi*.log)

=== doc/Makefile ===

tipaman :
	latex tipaman
	bibtex tipaman
	latex tipaman
	latex tipaman

clean :
	rm -rf auto *~ *.aux *.log *.blg *.toc *.dvi

## tipa 1.3

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,14 @@
+# Copyright 2002 FUKUI Rei
+# 
+# This program may be distributed and/or modified under the
+# conditions of the LaTeX Project Public License, either version 1.2
+# of this license or (at your option) any later version.
+# The latest version of this license is in
+#   http://www.latex-project.org/lppl.txt
+# and version 1.2 or later is part of all distributions of LaTeX 
+# version 1999/12/01 or later.
+# 
+# This program consists of all files listed in Manifest.txt.
 
 tipaman :
 	latex tipaman

=== debian/changelog ===
tipa (2:1.3-21) unstable; urgency=medium

  * Add me to Uploaders, fix Vcs URLs to salsa.
  * Replace http -> https in docs, where possible.
  * tipa-doc now ships pdf files in /usr/share/doc/tipa .
  * tipa suggests tipa-doc
  * Mark tipa-doc & xfonts-tipa as "Multi-Arch: foreign"
  * Lintian:
    - priority-extra-is-replaced-by-priority-optional
    - debhelper compat 13
    - Standards version bumped to 4.5.1
    - older-debian-watch-file-standard 3

 -- Hilmar Preusse <hille42@web.de>  Fri, 12 Mar 2021 00:19:38 +0100

tipa (2:1.3-20) unstable; urgency=medium

  * fix location of documentation links to /usr/share/texmf/doc
  * build pdf instead of dvi
  * do not compress pdf files, they are already compressed
  * bump standards version to 3.9.6, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 10 Oct 2014 08:49:02 +0900

tipa (2:1.3-19) unstable; urgency=low

  * Don't ship encodings dir since it will make debhelper generate the
    problematic update-fonts-dir --x11r7-layout encodings call that removes
    /usr/share/fonts/X11/encodings/encodings.dir. Thanks to Andreas Beckmann for
    report and workaround. (Closes: #682939)

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 16 Sep 2012 19:33:27 +0200

tipa (2:1.3-18) unstable; urgency=low

  * Removed silipa.enc otherwise xfonts-tipa package removes
    /usr/share/fonts/X11/encodings/encodings.dir owned by
    xfonts-encodings (Closes: #682939)

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 27 Jul 2012 12:13:51 +0200

tipa (2:1.3-17) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:31:16 +0900

tipa (2:1.3-16) experimental; urgency=low

  [ Daniele Tricoli ]
  * debian/control
    - Removed Debian QA Group and added Debian TeX maintainers to
      Maintainer
    - Added myself to Uploaders (Closes: #534384)
  * debian/copyright
    - Made DEP5 compliant

  [ Norbert Preining ]
  * debian/control
    - add myself as uploader
    - bump build dep on tex-common to >= 3
    - fix Vcs fields
  * debian/maintscript
    - remove old conffile

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2012 11:27:56 +0900

tipa (2:1.3-15) unstable; urgency=low

  * QA upload (see bug #534384).
    + Set maintainer to Debian QA Group.
  * Add build-arch, build-indep and binary-arch targets.
  * Convert to source format 3.0 (quilt):
    + Add debian/source/format.
    + Drop patching code from debian/rules.
    + Remove quilt from Build-Depends.
  * Improve debian/rules:
    + Trap errors.
    + Use $(CURDIR) variable instead of $(shell pwd).
    + Use $(MAKE) variable.
    + Rewrite get-orig-source target, so that it can be run in any directory,
      doesn't need TMPDIR to be set, create temporary files securely,
      normalize permissions inside tarball and uses maxmimum compression.
  * Add DEP-3 patch headers.
  * Bump standards version to 3.9.2 (no changes needed).
  * Build-depend on ghostscript (needed for pf2afm) instead of gs-common.
  * Move xfonts-tipa.scale to /etc/X11/fonts/Type1/ (see #364530):
    + Update paths in debian/rules.
    + Drop obsolete postinst script.
    + Use dpkg-maintscript-helper in preinst/postinst/postrm. Build-depend on
      debhelper (>= 8.1.0), which can handle debian/*.maintscript files. Add
      ${misc:Pre-Depends}.
  * Bump debhelper compat to 8 (no changes needed).
  * Force tight versioned dependency between xfonts-tipa and tipa.
  * Remove unused debian/tipa.defoma-hints.
  * Drop defoma support. Thanks to Paul Wise for hints.
    + Don't call dh_installdefoma in debian/rules.
    + Drop (build-)dependency on defoma.
  * Remove preinst code that was needed only for upgrades from versions older
    than oldstable.
  * Move xfonts-tipa to section fonts.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 28 Oct 2011 13:42:54 +0200

tipa (2:1.3-14) unstable; urgency=low

  * Rebuilt with debhelper 7.2.14 to get rid of Lintian warning
    postinst-has-useless-call-to-install-docs
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 21 Apr 2009 09:39:35 +0200

tipa (2:1.3-13) unstable; urgency=low

  * Switch from dpatch to quilt for Debian patches management
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes needed)
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Add defoma to Build-Depends-Indep, otherwise the call to
      dh_installdefoma fails
    + Add a generic paragraph at the beginning of the long descriptions
      of the packages xfont-tipa and tipa-doc
  * debian/rules: Use dh_prep instead of dh_clean -k

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Feb 2009 15:45:52 +0100

tipa (2:1.3-12) unstable; urgency=low

  * debian/control: Append trunk to the Vcs-Svn URL
  * tipa-doc.doc-base.tipa-{manual,typefaces,vowel}: Set Section to Text

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Mar 2008 01:41:02 +0100

tipa (2:1.3-11) unstable; urgency=low

  * debian/README.Debian: Fixed path of documentation files and added a
    note telling that they are included in the tipa-doc package (closes:
    #455571)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 00:14:44 +0100

tipa (2:1.3-10) unstable; urgency=low

  * debian/tipa.preinst: Adjusted version of the last release in which
    the obsolete configuration file 10tipa.cfg appeared, such that it will be
    removed on upgrading (thanks to Kumar Appaiah for the heads up,
    closes: #455120)
  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*


=== debian/control ===
Source: tipa
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>,
	Norbert Preining <preining@debian.org>,
	Hilmar Preusse <hille42@web.de>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: tex-common (>= 3), texlive-latex-recommended,
 texlive-fonts-recommended, ghostscript, sharutils
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tex-team/tipa.git
Vcs-Browser: https://salsa.debian.org/tex-team/tipa
Homepage: https://www.ctan.org/tex-archive/fonts/tipa/

Package: tipa
Architecture: all
Depends: texlive-latex-base, texlive-base-bin, ${misc:Depends}
Conflicts: tipa-type1
Replaces: tipa-type1
Suggests: tipa-doc
Description: system for processing phonetic symbols in LaTeX
 TIPA is a system for processing IPA (International Phonetic
 Alphabet) symbols in LaTeX written by Fukui Rei.  TIPA stands for
 either TeX IPA or Tokyo IPA and derived from the tsipa package, made
 in 1992 by Kobayashi Hajime, Fukui Rei and Shirakawa Shun.
 .
 Among many features of TIPA, the following are the new features as
 compared with tsipa or any other existing systems for processing IPA
 symbols:
 .
   * A new 256 character encoding for phonetic symbols (`T3'), which
     includes all the symbols and diacritics found in the recent
     versions of IPA and some non-IPA symbols.
   * Complete support of LaTeX2e.
   * Roman, slanted, bold, bold extended and sans serif font styles.
   * Easy input method in the IPA environment.
   * Extended macros for accents and diacritics.
   * A flexible system of macros for `tone letters'.
   * An optional package (vowel.sty) for drawing vowel diagrams.
   * A slightly modified set of fonts that go well when used with
     Times Roman and Helvetica fonts.
 .
 Type 1 fonts for TIPA are also included in this package (to make them
 available in X11 applications other than LaTeX, please install the
 xfonts-tipa package).

Package: xfonts-tipa
Architecture: all
Multi-Arch: foreign
Section: fonts
Pre-Depends: ${misc:Pre-Depends}
Depends: tipa (= ${source:Version}), ${misc:Depends}
Description: X11 PostScript Type 1 font for the Phonetic Alphabet
 TIPA is a system for processing IPA (International Phonetic
 Alphabet) symbols in LaTeX written by Fukui Rei.  TIPA stands for
 either TeX IPA or Tokyo IPA and derived from the tsipa package, made
 in 1992 by Kobayashi Hajime, Fukui Rei and Shirakawa Shun.
 .
 This package contains type 1 version of the TIPA fonts for the X
 Window system.  It contains the pfb and afm files.  The installed X
 font has the silipa encoding (see
 http://www.sil.org/computing/fonts/encore-ipa.html).

Package: tipa-doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Section: doc
Description: documentation for the TIPA LaTeX font
 TIPA is a system for processing IPA (International Phonetic
 Alphabet) symbols in LaTeX written by Fukui Rei.  TIPA stands for
 either TeX IPA or Tokyo IPA and derived from the tsipa package, made
 in 1992 by Kobayashi Hajime, Fukui Rei and Shirakawa Shun.
 .
 This package contains the documentation for the TIPA fonts for LaTeX.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for Debian package tipa
# GNU Copyright Rafael Laboissiere (C) 1998-2009
# $Id$

debdir   := $(CURDIR)/debian
debtmp   := $(debdir)/tipa
debetc   := $(debdir)/etc
debtexmf := $(debtmp)/usr/share/texmf

debxfnt  := $(CURDIR)/debian/xfonts-tipa/usr/share/fonts/X11
debxt1   := $(debxfnt)/Type1
debscdir := $(CURDIR)/debian/xfonts-tipa/etc/X11/fonts/Type1

CHANGELOG = $(dir $(firstword $(MAKEFILE_LIST)))/changelog
UPSTREAM_VERSION = \
	$(shell perl -ne '/([\d.]+)-/; print $$1; exit' < $(CHANGELOG))
ORIG_TARBALL = tipa_$(UPSTREAM_VERSION).orig.tar.gz
UPSTREAM_DIR = tipa-$(UPSTREAM_VERSION)

#export GZIP = -9n
export TAR_OPTIONS = --owner root --group root --mode a+rX,g-w

get-orig-source: $(ORIG_TARBALL)
$(ORIG_TARBALL):
	set -e -x; \
	tmpdir=$$(mktemp -d); \
	cd "$$tmpdir"; \
	wget ftp://tug.ctan.org/pub/tex-archive/fonts/tipa.zip;	\
	unzip -x tipa.zip; \
	mv tipa/$(UPSTREAM_DIR) .; \
	mv tipa/tipaface.pdf $(UPSTREAM_DIR)/doc; \
	tar  -czf $(ORIG_TARBALL) $(UPSTREAM_DIR); \
	mv $(ORIG_TARBALL) $(CURDIR)/; \
	cd /; \
	rm -rf "$$tmpdir"

# The following pattern rules is necessary for building the TIPA
# documentation and the example
%.pdf: %.tex
	export TEXINPUTS=../sty: TEXFONTMAPS=../dvips: 	\
		TFMFONTS=../tfm: T1FONTS=../type1: && \
	  pdflatex '\pdfmapfile{+tipa.map}\input{$<}' && \
	  pdflatex '\pdfmapfile{+tipa.map}\input{$<}'

docs: tipaman.pdf vowel.pdf

build build-indep: build-stamp
build-arch: ;
build-stamp:
	dh_testdir
	set -e; cd type1 ; \
	  echo Building afm files... ; \
	  for i in *.pfb ; do \
	    pf2afm $$i > /dev/null ; \
	    echo `basename $$i .pfb`.afm ; \
	  done
	# This will build the documentation
	cd doc && $(MAKE) -f ../debian/rules docs
	touch build-stamp

clean:
	dh_testdir
	#dh_testroot
	$(MAKE) clean
	# remove generated pdf files
	rm -f doc/tipaman.pdf doc/vowel.pdf
	dh_clean

binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs --package=xfonts-tipa		\
		usr/share/fonts/X11/Type1		\
		etc/X11/fonts/Type1

	$(MAKE) install PREFIX=$(debtexmf) MAPDIR=$(debtexmf)/fonts/map/dvips
        # Fixes bug reported by lintian
	chmod +x $(debtexmf)/fonts/source/fkr/tipa/*.sh
	cp 00README changelog

	perl debian/gen-fonts-dir.pl \
	  ../../../texmf/fonts/type1/fkr/tipa \
	  $(debxt1) \
	  $(debscdir)/xfonts-tipa.scale \
	  debian/xfonts-tipa.defoma-hints

	#install --mode=644 debian/tipa.updmap $(debupdm)/10tipa.cfg
	dh_installtex -p tipa map=MixedMap,tipa.map

	dh_installxfonts -p xfonts-tipa

	dh_installdocs
	dh_link
	dh_installchangelogs
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: ;

binary: binary-indep

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary

=== debian/watch ===
version=4
https://www.ctan.org/tex-archive/fonts/tipa/ \
	/tex-archive/fonts/tipa/tipa-([\d\.]+)/

## tipa 1.3+apricot

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,16 @@
-# Makefile for TIPA.
+# Copyright 2002 FUKUI Rei
+# 
+# This program may be distributed and/or modified under the
+# conditions of the LaTeX Project Public License, either version 1.2
+# of this license or (at your option) any later version.
+# The latest version of this license is in
+#   http://www.latex-project.org/lppl.txt
+# and version 1.2 or later is part of all distributions of LaTeX 
+# version 1999/12/01 or later.
+# 
+# This program consists of all files listed in Manifest.txt.
+#
+# Makefile for TIPA installation.
 #
 # You need to edit PREFIX.
 
@@ -12,7 +24,7 @@
 all : 
 
 install :
-	-mkdir $(TEXDIR)
+	-mkdir -p $(TEXDIR)
 	chmod 755 $(TEXDIR)
 	-mkdir -p $(FONTDIR)/source/fkr/tipa
 	chmod 755 $(FONTDIR)/source/fkr $(FONTDIR)/source/fkr/tipa
@@ -24,13 +36,17 @@
 	install -c -m 644 mf/*.mf mf/*.def mf/*.sh $(FONTDIR)/source/fkr/tipa
 	install -c -m 644 tfm/*.tfm $(FONTDIR)/tfm/fkr/tipa
 	install -c -m 644 type1/*.pfb $(FONTDIR)/type1/fkr/tipa
+	-install -c -m 644 type1/*.afm $(FONTDIR)/type1/fkr/tipa
+	-mkdir -p $(MAPDIR)
+	chmod 755 $(MAPDIR)
 	install -c -m 644 dvips/tipa.map $(MAPDIR)
-	-mktexlsr
+	#-mktexlsr
 
 man :
 	cd doc; latex tipaman; bibtex tipaman; latex tipaman; latex tipaman
 
 clean :
-	(cd doc; rm -f *~ *.log *.aux *.dvi *.blg)
+	(cd doc; rm -f *~ *.log *.aux *.dvi *.blg *.toc)
 	(cd sty; rm -f *~ *.log *.aux *.dvi *.blg)
 	(cd mf; rm -f *~ ti*gf ti*pk ti*.tfm ti*.log xi*gf xi*pk xi*.tfm xi*.log)
+	(cd type1; rm -f *.afm)

=== debian/changelog ===
tipa (2:1.3+apricot-20) unstable; urgency=medium

  * fix location of documentation links to /usr/share/texmf/doc
  * build pdf instead of dvi
  * do not compress pdf files, they are already compressed
  * bump standards version to 3.9.6, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 10 Oct 2014 08:49:02 +0900

## tipa 19960624

=== Makefile ===
PREFIX=/usr/local/lib/texmf
TEXDIR=$(PREFIX)/tex/tipa
FONTDIR=$(PREFIX)/fonts/public/tipa
MODE=localfont
#MODE=canonex

all : pk

pk-all: pk pk-TR

pk :
	cd mf; sh makepk1.sh $(MODE); cp ti*.tfm ../tfm

pk-TR :
	cd mf; sh makepk2.sh $(MODE); cp xi*.tfm ../tfm

install :
	-mkdir $(TEXDIR)
	-cp sty/*.sty sty/*.fd sty/*.def $(TEXDIR)
	-mkdir $(FONTDIR)
	-mkdir $(FONTDIR)/tfm
	-mkdir $(FONTDIR)/src
	-mkdir $(FONTDIR)/pk
	-mkdir $(FONTDIR)/pk/$(MODE)
	-install -c -m 644 tfm/*.tfm $(FONTDIR)/tfm
	-install -c -m 644 mf/*.mf mf/*.def mf/*.sh $(FONTDIR)/src

install-pk-all : install-pk install-pk-TR

install-pk :
	-install -c -m 644 mf/ti*pk $(FONTDIR)/pk/$(MODE)

install-pk-TR :
	-install -c -m 644 mf/xi*pk $(FONTDIR)/pk/$(MODE)

man :
	cd doc; latex tipaman

mft :
	cd mf
	mft tipasym1.mf -s ./tipa; tex tipasym1
	mft tipasym2.mf -s ./tipa; tex tipasym2
	mft tipasym3.mf -s ./tipa; tex tipasym3
	rm -f tipasym?.tex tipasym?.log

paramfile :
	cd mf; sh param1.sh; sh param2.sh

touch :
	touch * doc/* mf/* sty/* tfm/*

clean :
	(cd doc; rm -f *~ *.log *.aux *.dvi *.blg)
	(cd sty; rm -f *~ *.log *.aux *.dvi *.blg)
	(cd mf; rm -f *~ ti*gf ti*pk ti*.tfm ti*.log xi*gf xi*pk xi*.tfm xi*.log)
